=== doc/CMakeLists.txt ===
ADD_SUBDIRECTORY( api )
ADD_SUBDIRECTORY( tutorial )

set(FEEL_INSTALL_APPS ${FEEL_INSTALL_APPS} PARENT_SCOPE)
