=== debian/changelog ===
feel++ (0.91.0~svn7063-2) unstable; urgency=low

  * debian/rules: re-enabled lam on sparc, hopefully fixing build on sparc
  * Fixed issue with g++-4.6 miscompilation (Closes: #625093).

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 16 May 2011 23:39:20 +0200

feel++ (0.91.0~svn7063-1) unstable; urgency=low

  * New upstream release

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 16 May 2011 17:13:56 +0200

feel++ (0.91.0~svn7044-1) unstable; urgency=low

  [Christophe Prud'homme]
  * New upstream release
  * debian/control: Updated standard-versions to 3.9.2 (no change)
  * debian/control: Added texlive-fonts-extra for manual to b-d
  * Switch to dpkg-source 3.0 (quilt) format

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 09 May 2011 23:31:49 +0200

feel++ (0.91.0~svn7013-2) unstable; urgency=low

  * debian/patches/manual.patch: try again to fix the latex font creation
    on some platforms

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 26 Apr 2011 05:56:22 +0200

feel++ (0.91.0~svn7013-1) unstable; urgency=low

  * New upstream release

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 24 Apr 2011 19:25:17 +0200

feel++ (0.91.0~svn7009-3) unstable; urgency=low

  * debian/rules: in Release mode, use -O2 instead of -O3 as the former
    use less memory and produces the same efficiency

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 24 Apr 2011 14:43:23 +0200

feel++ (0.91.0~svn7009-2) unstable; urgency=low

  * debian/control: apply ubuntu patch

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 24 Apr 2011 12:57:03 +0200

feel++ (0.91.0~svn7009-1) unstable; urgency=low

  * New upstream release
  * debian/patches:  removed patches, applied upstream

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 23 Apr 2011 23:49:32 +0200

feel++ (0.90.0-13) unstable; urgency=low

  * debian/control: libfeel++-dev update Depends

 -- Christophe Prud'homme <prudhomm@debian.org>  Wed, 20 Apr 2011 05:35:57 +0200

feel++ (0.90.0-12) unstable; urgency=low

  * debian/control: d-b on texlive-fonts-recommended to avoid font issues
    with pdflatex on some arches

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 19 Apr 2011 19:45:05 +0200

feel++ (0.90.0-11) unstable; urgency=low

  * debian/control: b-d on libslepc3.0.0 for testing
  * debian/patches: update minconf.patch to reduce even more the minimum
    configuration

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 19 Apr 2011 17:17:06 +0200

feel++ (0.90.0-10) unstable; urgency=low

  * debian/control: added texlive-latex-recommended to fix manual
    compilation on some arch

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 11 Apr 2011 20:57:24 +0200

feel++ (0.90.0-9) unstable; urgency=low

  * debian/control: depend on doxygen-latex and not on texlive-* packages
    anymore

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 10 Apr 2011 20:27:57 +0200

feel++ (0.90.0-8) unstable; urgency=low

  * debian/control: Fix tbb depends for non amd64/i386 arch (Closes: #620645).
  * fix feel-manual compilation

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 10 Apr 2011 09:57:26 +0200

feel++ (0.90.0-7) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/patches/minconf.patch: even more minimal configuration for low
    memory configuration

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 20 Mar 2011 21:41:20 +0100

feel++ (0.90.0-6) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/patches/s390.patches: fix for s390
  * debian/rules: tring minimal configuration for failing arches

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 19 Mar 2011 10:56:20 +0100

feel++ (0.90.0-5) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/control: build-depends on tbb only on amd64 and i386
  * debian/patches/sse.patch: remove sse options to build on non intel arches

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 18 Mar 2011 11:17:34 +0100

feel++ (0.90.0-4) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/control: tighten up build-depends to help building on more platforms

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 18 Mar 2011 07:56:02 +0100

feel++ (0.90.0-3) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/{control,rules}: use quilt

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 18 Mar 2011 06:53:33 +0100

feel++ (0.90.0-2) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/patches/feelgeo: fix compilation in buildd

 -- Christophe Prud'homme <prudhomm@debian.org>  Thu, 17 Mar 2011 21:41:36 +0100

feel++ (0.90.0-1) unstable; urgency=low

  * New upstream release

 -- Christophe Prud'homme <prudhomm@debian.org>  Thu, 17 Mar 2011 11:52:26 +0100

feel++ (0.90.0~svn6918-1) experimental; urgency=low

  [ Christophe Prud'homme ]
  * New upstream release
  * debian/control: fix lintian warnings

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 20 Feb 2011 17:28:51 +0100

feel++ (0.90.0~svn6917-1) experimental; urgency=low

  [ Christophe Prud'homme ]
  * New upstream release
  * debian/control: update slepc deps to 3.1

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 20 Feb 2011 10:13:13 +0100

feel++ (0.90.0~svn6901-1) experimental; urgency=low

  * New upstream release

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 29 Jan 2011 11:36:01 +0100

feel++ (0.90.0~svn6893-1) experimental; urgency=low

  * New upstream release

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 16 Jan 2011 12:59:48 +0100

feel++ (0.90.0~svn6877-1) experimental; urgency=low

  * New upstream release

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 02 Jan 2011 22:49:39 +0100

feel++ (0.90.0~svn6870-1) experimental; urgency=low

  [Christophe Prud'homme]
  * Feel++ is near release 0.90.0
  * Life was renamed Feel++ and Feel++ package will replace Life package

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 31 Dec 2010 17:39:18 +0100
