=== debian/control ===
Source: feel++
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>
Build-Depends: cdbs, quilt, debhelper (>= 7), cmake (>=2.6), g++-4.5, gfortran (>=4.4),
	       libboost-all-dev, libboost-mpi-dev,
	       mpi-default-dev[!hurd-i386], mpi-default-bin[!hurd-i386],
	       libtrilinos-dev[!armel !mips !mipsel !s390 !hppa !hurd-i386 !sparc],
	       libpetsc3.1-dev (>= 3.1.dfsg-3), libslepc3.1-dev[amd64 i386] | libslepc3.0.0-dev [amd64 i386],
	       libhdf5-mpi-dev,
	       libsuperlu3-dev, libsuitesparse-dev, libscotchmetis-dev,
	       python-pyx, python-scipy,
	       libxml2-dev,
	       gmsh, 
               doxygen, doxygen-latex,
	       transfig,imagemagick,
	       libtbb-dev[amd64 i386],
	       libopenturns-dev, openturns-wrapper, libann-dev, libglpk-dev, octave3.2-headers
Standards-Version: 3.9.2
Homepage: http://www.feelpp.org
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/feel++/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/feel++/trunk


Package: libfeel++1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gmsh, mpi-default-bin
Replaces: liblife
Description: A library for the finite element method
 This package provides the dynamic Feel++ libraries.
 .
 Feel++ is a versatile finite element library to solve partial
 differential equations.
 .
 Support 1D, 2D, 3D
 .
 Support the following basic entities: simplices (segment, triangle,
 tetrahedron) and product of simplices (quadrangle, hexahedron)
 .
 Support various point sets on these basic entities: equispaced
 points, quadrature points, interpolation points (Gauss-Lobatto,
 Fekete, WarpBlend?)
 .
 Support continuous and discontinuous Galerkin methods
 .
 Support various polynomial sets:
 .
  * Lagrange(continuous,discontinuous,all dimensions,all interpolation
 point sets)
 .
  * Dubiner(discontinuous), boundary adapted(continuous)
 .
  * Legendre(discontinuous), boundary adapted(continuous)
 .
 Provide mathematical concept for higher order abstraction (Function
 spaces and associated elements, forms and operators)
 .
 Provide a language embedded in C++ for variational formulations,
 projection and numerical integration


Package: libfeel++-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfeel++1 (= ${binary:Version}), libvtk5-dev, 
	 libboost1.46-all-dev|libboost-all-dev, libboost-mpi1.46-dev |libboost-mpi-dev,
	 mpi-default-dev, mpi-default-bin,
         libtrilinos-dev, libpetsc3.1-dev (>= 3.1.dfsg-3), libslepc3.1-dev (>= 3.1) | libslepc3.0.0-dev (>= 3.0), libgmm++-dev,
         libsuperlu3-dev, libsuitesparse-dev, libscotchmetis-dev,
	 libeigen2-dev, libvtk5-dev, libxml2-dev, libtbb-dev [amd64 i386],
         libopenturns-dev, openturns-wrapper, libann-dev, libglpk-dev, octave3.2-headers
Suggests: feel++-doc, libfeel++-dbg, doxygen
Replaces: liblife-dev
Description: A library for the finite element method
 This package provides the header files and static libraries.
 .
 Feel++ is a versatile finite element library to solve partial
 differential equations.
 .
 Support 1D, 2D, 3D
 .
 Support the following basic entities: simplices (segment, triangle,
 tetrahedron) and product of simplices (quadrangle, hexahedron)
 .
 Support various point sets on these basic entities: equispaced
 points, quadrature points, interpolation points (Gauss-Lobatto,
 Fekete, WarpBlend?)
 .
 Support continuous and discontinuous Galerkin methods
 .
 Support various polynomial sets:
 .
  * Lagrange(continuous,discontinuous,all dimensions,all interpolation
 point sets)
 .
  * Dubiner(discontinuous), boundary adapted(continuous)
 .
  * Legendre(discontinuous), boundary adapted(continuous)
 .
 Provide mathematical concept for higher order abstraction (Function
 spaces and associated elements, forms and operators)
 .
 Provide a language embedded in C++ for variational formulations,
 projection and numerical integration

Package: libfeel++-dbg
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfeel++-dev, libtbb2-dbg [amd64 i386]
Replaces: liblife-dbg
Description: A library for the finite element method
 Feel++ is a versatile finite element library to solve partial
 differential equations
 .
 Support 1D, 2D, 3D
 .
 Support the following basic entities: simplices (segment, triangle,
 tetrahedron) and product of simplices (quadrangle, hexahedron)
 .
 Support various point sets on these basic entities: equispaced
 points, quadrature points, interpolation points (Gauss-Lobatto,
 Fekete, WarpBlend?)
 .
 Support continuous and discontinuous Galerkin methods
 .
 Support various polynomial sets:
 .
  * Lagrange(continuous,discontinuous,all dimensions,all interpolation
 point sets)
 .
  * Dubiner(discontinuous), boundary adapted(continuous)
 .
  * Legendre(discontinuous), boundary adapted(continuous)
 .
 Provide mathematical concept for higher order abstraction (Function
 spaces and associated elements, forms and operators)
 .
 Provide a language embedded in C++ for variational formulations,
 projection and numerical integration

Package: feel++-apps
Section: science
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfeel++1 (= ${binary:Version}), gmsh
Recommends: paraview
Replaces: life-apps
Description: A library for the finite element method
 This package provides some applications codes(source and executables) such
 as laplacian with cG and dG methods, stokes, heat transfer, solid
 mechanics(static and dynamic).
 .
 Feel++ is a versatile finite element library to solve partial
 differential equations
 .
 Support 1D, 2D, 3D
 .
 Support the following basic entities: simplices (segment, triangle,
 tetrahedron) and product of simplices (quadrangle, hexahedron)
 .
 Support various point sets on these basic entities: equispaced
 points, quadrature points, interpolation points (Gauss-Lobatto,
 Fekete, WarpBlend?)
 .
 Support continuous and discontinuous Galerkin methods
 .
 Support various polynomial sets:
 .
  * Lagrange(continuous,discontinuous,all dimensions,all interpolation
 point sets)
 .
  * Dubiner(discontinuous), boundary adapted(continuous)
 .
  * Legendre(discontinuous), boundary adapted(continuous)
 .
 Provide mathematical concept for higher order abstraction (Function
 spaces and associated elements, forms and operators)
 .
 Provide a language embedded in C++ for variational formulations,
 projection and numerical integration

Package: feel++-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: life-doc
Description: A library for the finite element method
 This package provides the documentation for the Feel++ library : a user
 guide including a tutorial and the api documentation generated by
 doxygen.
 .
 Feel++ is a versatile finite element library to solve partial
 differential equations.
 .
 Support 1D, 2D, 3D
 .
 Support the following basic entities: simplices (segment, triangle,
 tetrahedron) and product of simplices (quadrangle, hexahedron)
 .
 Support various point sets on these basic entities: equispaced
 points, quadrature points, interpolation points (Gauss-Lobatto,
 Fekete, WarpBlend?)
 .
 Support continuous and discontinuous Galerkin methods
 .
 Support various polynomial sets:
 .
  * Lagrange(continuous,discontinuous,all dimensions,all interpolation
 point sets)
 .
  * Dubiner(discontinuous), boundary adapted(continuous)
 .
  * Legendre(discontinuous), boundary adapted(continuous)
 .
 Provide mathematical concept for higher order abstraction (Function
 spaces and associated elements, forms and operators)
 .
 Provide a language embedded in C++ for variational formulations,
 projection and numerical integration
