=== debian/rules ===
#!/usr/bin/make -f

DEB_AUTO_CLEANUP_RCS   := yes
DEB_COMPRESS_EXCLUDE   := .pdf

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk


export CFLAGS=
export CXXFLAGS=

DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

FEEL_INSTALL_ENABLERS=-DFEEL_ENABLE_DOCUMENTATION=ON

ifeq "$(DEB_BUILD_ARCH)" "powerpc"
FEEL_INSTALL_ENABLERS=-DFEEL_ENABLE_ALL=OFF                \
                      -DBUILD_TESTING=OFF                  \
                      -DFEEL_MINIMAL_CONFIGURATION=ON
endif
ifeq "$(DEB_BUILD_ARCH)" "alpha"
FEEL_INSTALL_ENABLERS=-DFEEL_ENABLE_ALL=OFF                \
                      -DBUILD_TESTING=OFF                  \
                      -DFEEL_MINIMAL_CONFIGURATION=ON
endif
ifeq "$(DEB_BUILD_ARCH)" "s390"
FEEL_INSTALL_ENABLERS=-DFEEL_ENABLE_ALL=OFF                \
                      -DBUILD_TESTING=OFF                  \
                      -DFEEL_MINIMAL_CONFIGURATION=ON
endif
ifeq "$(DEB_BUILD_ARCH)" "armel"
FEEL_INSTALL_ENABLERS=-DFEEL_ENABLE_ALL=OFF                \
                      -DBUILD_TESTING=OFF                  \
                      -DFEEL_MINIMAL_CONFIGURATION=ON
endif
ifeq "$(DEB_BUILD_ARCH)" "mips"
FEEL_INSTALL_ENABLERS=-DFEEL_ENABLE_ALL=OFF                \
                      -DBUILD_TESTING=OFF                  \
                      -DFEEL_MINIMAL_CONFIGURATION=ON
endif
ifeq "$(DEB_BUILD_ARCH)" "mipsel"
FEEL_INSTALL_ENABLERS=-DFEEL_ENABLE_ALL=OFF                \
                      -DBUILD_TESTING=OFF                  \
                      -DFEEL_MINIMAL_CONFIGURATION=ON
endif

ifeq "$(DEB_BUILD_ARCH)" "sparc"
FEEL_MPI=-DMPI_COMPILER=/usr/bin/mpic++.lam \
         -DMPI_LIBRARY="MPI_LIBRARY-NOTFOUND"
FEEL_INSTALL_ENABLERS=-DFEEL_ENABLE_ALL=OFF                \
                      -DBUILD_TESTING=OFF                  \
                      -DFEEL_MINIMAL_CONFIGURATION=ON
else
FEEL_MPI=
endif
DEB_CMAKE_EXTRA_FLAGS=                      \
        -DCMAKE_BUILD_TYPE=Release          \
	-DCMAKE_CXX_FLAGS_RELEASE="-O2 -DNDEBUG -g0"  \
	-DCMAKE_CXX_COMPILER=/usr/bin/g++-4.5\
	-DPETSC_ARCH=linux-gnu-c-opt        \
	-DPETSC_DIR=/usr/lib/petscdir/3.1 \
	-DPETSC_EXECUTABLE_RUNS=ON          \
	${FEEL_MPI}                         \
	${FEEL_INSTALL_ENABLERS}            \
	-DTRILINOS_LIB_NOXLAPACK=           \
        -DENABLE_INSTANTIATION_MODE=OFF

#build/feel++-apps::
#	-cd $(DEB_BUILDDIR) && ctest -D Experimental

build/libfeel++::
	-cd $(DEB_BUILDDIR) && cmake ..

build/feel++-doc::
	-cd $(DEB_BUILDDIR)/doc/api && make doxygen

binary-install/feel++-apps::
	strip debian/feel++-apps/usr/bin/*

get-orig-source:
	uscan --force-download
